Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transport.ajax.container
Class MuleAjaxServlet

    java.lang.Object
      javax.servlet.GenericServlet
          javax.servlet.http.HttpServlet
              org.mortbay.cometd.AbstractCometdServlet
                  org.mortbay.cometd.continuation.ContinuationCometdServlet
                      org.mule.transport.ajax.container.MuleAjaxServlet

All Implemented Interfaces:
  Serializable, Servlet, ServletConfig

    public class MuleAjaxServlet

extends org.mortbay.cometd.continuation.ContinuationCometdServlet

Wraps the `ContinuationCometdServlet` servlet and binds the Bayeux object to the Mule `AjaxServletConnector`.

See Also:
  Serialized Form

Field Summary
`static String` | `AJAX_CONNECTOR_NAME_PROPERTY` The name of the ajax connector to use with this Servlet
`protected AjaxServletConnector` | `connector`

Fields inherited from class org.mortbay.cometd.AbstractCometdServlet
`_asyncDeliver, _bayeux, BROWSER_ID, CLIENT_ATTR, HTTP_CLIENT_ID, MESSAGE_PARAM, TRANSPORT_ATTR, TUNNEL_INIT_PARAM`

Constructor Summary
`MuleAjaxServlet()`

Method Summary
`protected String` | `getConnectorProtocol()`
`void` | `init()`

Methods inherited from class org.mortbay.cometd.continuation.ContinuationCometdServlet
`doGet, doPost, newBayeux`

Methods inherited from class org.mortbay.cometd.AbstractCometdServlet
`browserId, getBayeux, getMessages, newBrowserId, service`

Methods inherited from class javax.servlet.http.HttpServlet
`doDelete, doHead, doOptions, doPut, doTrace, getLastModified, service`

Methods inherited from class javax.servlet.GenericServlet
`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### AJAX_CONNECTOR_NAME_PROPERTY

    public static final String AJAX_CONNECTOR_NAME_PROPERTY

  The name of the ajax connector to use with this Servlet

  See Also:
    Constant Field Values

### connector

    protected AjaxServletConnector connector

Constructor Detail

### MuleAjaxServlet

    public MuleAjaxServlet()

Method Detail

### init

    public void init()
              throws ServletException

  Overrides:
    `init` in class `org.mortbay.cometd.AbstractCometdServlet`
  Throws:
    `ServletException`

### getConnectorProtocol

    protected String getConnectorProtocol()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.